Lemmy doesn't work on my iPad

It’s an older iPad and the website doesn’t work on the browser. I don’t think there is an ios 12 app for Lemmy. The website looks like the CSS and JavaScript didn’t load, but after multiple tries, it’s the same.

Any ideas?

Arch_guy
link
23M

Try chromium based browser like brave

@aquasteel@lemmygrad.ml
creator
link
33M

Unfortunately everything on the iPad is based on safari, there’s no choice 🙁

@ajz
link
23M

Another idea, install this open source emulator for iOS (no jailbreak needed for the slower variant), and install your preferred OS to run Lemmy : https://getutm.app/

@aquasteel@lemmygrad.ml
creator
link
13M

I came across this for something unrelated the other day. I might give it a go, thanks.

@weex
link
2
edit-2
3M

Did it ever work? If so maybe try this from the apple support…

  • Try a reset: Simultaneously hold down the Home and On buttons until the device shuts down. Ignore the off slider if it appears. Once shut down is complete, if it doesn’t restart on it own, turn the device back on using the On button. In some cases it also helps to double click the Home button and close all apps from the tray before doing the reset.
  • Try clearing the browser cache: Setting App > Safari > Clear Hostory and Clear Cookies adn Data.

Also, I don’t have an iPad available but can you do this to get more info? https://mattvanderpol.com/2013/08/14/how-to-debug-javascript-or-css-on-ios/

@aquasteel@lemmygrad.ml
creator
link
13M

I’m hoping to avoid a reset, maybe I’ll call that “plan B”. I’ll take a look at the debugging…

Dessalines
admin
link
23M

I don’t know much about safari, can you install firefox and see if you get the same issue?

@Echedenyan
link
8
edit-2
3M

Firefox on iOS uses WebKit engine. If the issue is engine dependent, will be maintained.

A workaround for next times would be testing Lemmy in GNOME Web (formerly Epiphany browser) or which should give the same experience as Safari in WebKit compatibility.

Edited: Other option would be testing on Nyxt if wanted.

Nyxt can be used with WebKitGTK optionally as showed in https://github.com/atlas-engineer/nyxt/blob/master/documents/README.org#gtk-dependencies.

https://caniuse.com/ also helps a lot sometimes as well as MDN documentation about compatibility every time.

@aquasteel@lemmygrad.ml
creator
link
13M

I think all browsers just use safari behind the scenes. I’ll take a look though , thanks.

@Echedenyan
link
13M

Well, the reply was more to Dessalines than you.

In your case, you can check a desktop browser using WebKit or WebKitGTK (QtWebKit is not good testing by now until it is up-to-date) to check if the issue happens and the console.

@Echedenyan
link
1
edit-2
3M

Yes, they use WebKit as mandatory for iOS.

@aquasteel@lemmygrad.ml
creator
link
43M

It’s the same on Firefox. Firefox on ios uses safari, rather than gecko. Also there is no JavaScript console to see errors, that I can find.

Dessalines
admin
link
23M

There’s also an ios client for lemmy: Remmel. But I’d be interested to know if this is affecting all ipads. I don’t have one so I can’t really test.

@aquasteel@lemmygrad.ml
creator
link
33M

It tells me I need ios 14 for that one.

@ajz
link
1
edit-2
3M

deleted by creator

@TheAnonymouseJoker
link
53M

Apple’s dictatorship does not allow use of other browser rendering engines on its iOS mobile platform, so iPhones and iPads basically.

Arch_guy
link
13M

Have you tried Lemmur Client?

@aquasteel@lemmygrad.ml
creator
link
33M

That doesn’t show up when I search. Maybe it needs ios 13…

Cube
link
23M

That’s only for android

Everything about Lemmy; bugs, gripes, praises, and advocacy.

For discussion about the lemmy.ml instance, go to !meta@lemmy.ml.

  • 0 user online
  • 1 user / day
  • 1 user / week
  • 48 user / month
  • 247 user / 6 month
  • 988 subscriber
  • 318 Post
  • 2.34K Comment
  • Modlog